// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package favorites

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/search/api/internal/logic/favorites"
	"juwan-backend/app/search/api/internal/svc"
	"juwan-backend/app/search/api/internal/types"
)

// 检查收藏状态
func CheckFavoriteHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.FavoriteCheckReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := favorites.NewCheckFavoriteLogic(r.Context(), svcCtx)
		resp, err := l.CheckFavorite(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
